<?xml version="1.0" encoding="UTF-8"?>
<testng-results skipped="0" failed="0" total="45" passed="45">
  <reporter-output>
  </reporter-output>
  <suite name="AndroidDeviceManagementAPIs" duration-ms="4032" started-at="2018-04-05T13:54:39Z" finished-at="2018-04-05T13:54:43Z">
    <groups>
    </groups>
    <test name="API Tests" duration-ms="4032" started-at="2018-04-05T13:54:39Z" finished-at="2018-04-05T13:54:43Z">
      <class name="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests">
        <test-method status="PASS" signature="init()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="init" is-config="true" duration-ms="227" started-at="2018-04-05T13:54:39Z" finished-at="2018-04-05T13:54:39Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- init -->
        <test-method status="PASS" signature="testBlacklistApplications()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testBlacklistApplications" duration-ms="193" started-at="2018-04-05T13:54:39Z" finished-at="2018-04-05T13:54:39Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testBlacklistApplications -->
        <test-method status="PASS" signature="testChangeLockCode()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testChangeLockCode" duration-ms="2" started-at="2018-04-05T13:54:39Z" finished-at="2018-04-05T13:54:39Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testChangeLockCode -->
        <test-method status="PASS" signature="testConfigureCamera()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testConfigureCamera" duration-ms="2" started-at="2018-04-05T13:54:39Z" finished-at="2018-04-05T13:54:39Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testConfigureCamera -->
        <test-method status="PASS" signature="testConfigureDeviceLock()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testConfigureDeviceLock" duration-ms="3" started-at="2018-04-05T13:54:39Z" finished-at="2018-04-05T13:54:39Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testConfigureDeviceLock -->
        <test-method status="PASS" signature="testConfigureDeviceUnlock()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testConfigureDeviceUnlock" duration-ms="1" started-at="2018-04-05T13:54:39Z" finished-at="2018-04-05T13:54:39Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testConfigureDeviceUnlock -->
        <test-method status="PASS" signature="testConfigureVPN()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testConfigureVPN" duration-ms="3" started-at="2018-04-05T13:54:39Z" finished-at="2018-04-05T13:54:39Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testConfigureVPN -->
        <test-method status="PASS" signature="testConfigureWifi()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testConfigureWifi" duration-ms="2" started-at="2018-04-05T13:54:39Z" finished-at="2018-04-05T13:54:39Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testConfigureWifi -->
        <test-method status="PASS" signature="testEncryptStorage()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testEncryptStorage" duration-ms="2" started-at="2018-04-05T13:54:39Z" finished-at="2018-04-05T13:54:39Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testEncryptStorage -->
        <test-method status="PASS" signature="testGetApplications()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testGetApplications" duration-ms="1" started-at="2018-04-05T13:54:39Z" finished-at="2018-04-05T13:54:39Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testGetApplications -->
        <test-method status="PASS" signature="testGetDeviceInformation()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testGetDeviceInformation" duration-ms="1" started-at="2018-04-05T13:54:39Z" finished-at="2018-04-05T13:54:39Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testGetDeviceInformation -->
        <test-method status="PASS" signature="testGetDeviceLocation()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testGetDeviceLocation" duration-ms="1" started-at="2018-04-05T13:54:39Z" finished-at="2018-04-05T13:54:39Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testGetDeviceLocation -->
        <test-method status="PASS" signature="testGetDeviceLogcat()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testGetDeviceLogcat" duration-ms="1" started-at="2018-04-05T13:54:39Z" finished-at="2018-04-05T13:54:39Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testGetDeviceLogcat -->
        <test-method status="PASS" signature="testInstallApplication()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testInstallApplication" duration-ms="1717" started-at="2018-04-05T13:54:39Z" finished-at="2018-04-05T13:54:41Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testInstallApplication -->
        <test-method status="PASS" signature="testMuteDevice()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testMuteDevice" duration-ms="1" started-at="2018-04-05T13:54:41Z" finished-at="2018-04-05T13:54:41Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testMuteDevice -->
        <test-method status="PASS" signature="testRebootDevice()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testRebootDevice" duration-ms="1" started-at="2018-04-05T13:54:41Z" finished-at="2018-04-05T13:54:41Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testRebootDevice -->
        <test-method status="PASS" signature="testRemovePassword()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testRemovePassword" duration-ms="2" started-at="2018-04-05T13:54:41Z" finished-at="2018-04-05T13:54:41Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testRemovePassword -->
        <test-method status="PASS" signature="testRingDevice()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testRingDevice" duration-ms="1" started-at="2018-04-05T13:54:41Z" finished-at="2018-04-05T13:54:41Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testRingDevice -->
        <test-method status="PASS" signature="testSendNotification()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testSendNotification" duration-ms="3" started-at="2018-04-05T13:54:41Z" finished-at="2018-04-05T13:54:41Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testSendNotification -->
        <test-method status="PASS" signature="testSetPasswordPolicy()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testSetPasswordPolicy" duration-ms="5" started-at="2018-04-05T13:54:41Z" finished-at="2018-04-05T13:54:41Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testSetPasswordPolicy -->
        <test-method status="PASS" signature="testSetWebClip()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testSetWebClip" duration-ms="2" started-at="2018-04-05T13:54:41Z" finished-at="2018-04-05T13:54:41Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testSetWebClip -->
        <test-method status="PASS" signature="testUninstallApplicationPublic()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testUninstallApplicationPublic" duration-ms="3" started-at="2018-04-05T13:54:41Z" finished-at="2018-04-05T13:54:41Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testUninstallApplicationPublic -->
        <test-method status="PASS" signature="testUninstallApplicationWebApp()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testUninstallApplicationWebApp" duration-ms="1" started-at="2018-04-05T13:54:41Z" finished-at="2018-04-05T13:54:41Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testUninstallApplicationWebApp -->
        <test-method status="PASS" signature="testUpdateApplication()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testUpdateApplication" duration-ms="1505" started-at="2018-04-05T13:54:41Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testUpdateApplication -->
        <test-method status="PASS" signature="testUpgradeFirmware()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testUpgradeFirmware" duration-ms="3" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testUpgradeFirmware -->
        <test-method status="PASS" signature="testWipeData()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testWipeData" duration-ms="3" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testWipeData -->
        <test-method status="PASS" signature="testWipeDevice()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests_$$_jvst891_0@77d959f1]" name="testWipeDevice" duration-ms="1" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testWipeDevice -->
      </class> <!-- org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests -->
      <class name="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests">
        <test-method status="PASS" signature="init()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="init" is-config="true" duration-ms="159" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- init -->
        <test-method status="PASS" signature="testDisEnrollDeviceSuccess()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testDisEnrollDeviceSuccess" duration-ms="24" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testDisEnrollDeviceSuccess -->
        <test-method status="PASS" signature="testDisenrollUnSuccess()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testDisenrollUnSuccess" duration-ms="1" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testDisenrollUnSuccess -->
        <test-method status="PASS" signature="testEnrollDeviceUnSuccess()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testEnrollDeviceUnSuccess" duration-ms="6" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testEnrollDeviceUnSuccess -->
        <test-method status="PASS" signature="testEnrollDeviceWithLocationSuccess()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testEnrollDeviceWithLocationSuccess" duration-ms="15" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testEnrollDeviceWithLocationSuccess -->
        <test-method status="PASS" signature="testEnrollDeviceWithoutLocationSuccess()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testEnrollDeviceWithoutLocationSuccess" duration-ms="1" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testEnrollDeviceWithoutLocationSuccess -->
        <test-method status="PASS" signature="testGetPendingOperationsForNullDevice()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testGetPendingOperationsForNullDevice" duration-ms="1" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testGetPendingOperationsForNullDevice -->
        <test-method status="PASS" signature="testGetPendingOperationsInvalidDevice()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testGetPendingOperationsInvalidDevice" duration-ms="1" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testGetPendingOperationsInvalidDevice -->
        <test-method status="PASS" signature="testGetPendingOperationsNullResponse()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testGetPendingOperationsNullResponse" duration-ms="1" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testGetPendingOperationsNullResponse -->
        <test-method status="PASS" signature="testGetPendingOperationsWithApplicationResponse()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testGetPendingOperationsWithApplicationResponse" duration-ms="46" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testGetPendingOperationsWithApplicationResponse -->
        <test-method status="PASS" signature="testGetPendingOperationsWithDeviceInfoResponse()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testGetPendingOperationsWithDeviceInfoResponse" duration-ms="56" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testGetPendingOperationsWithDeviceInfoResponse -->
        <test-method status="PASS" signature="testGetPendingOperationsWithErrorResponse()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testGetPendingOperationsWithErrorResponse" duration-ms="4" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testGetPendingOperationsWithErrorResponse -->
        <test-method status="PASS" signature="testGetPendingOperationsWithInProgressResponse()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testGetPendingOperationsWithInProgressResponse" duration-ms="2" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testGetPendingOperationsWithInProgressResponse -->
        <test-method status="PASS" signature="testGetPendingOperationsWithMonitorResponse()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testGetPendingOperationsWithMonitorResponse" duration-ms="3" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testGetPendingOperationsWithMonitorResponse -->
        <test-method status="PASS" signature="testIsEnrolledExists()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testIsEnrolledExists" duration-ms="0" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testIsEnrolledExists -->
        <test-method status="PASS" signature="testIsEnrolledNonExist()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testIsEnrolledNonExist" duration-ms="0" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testIsEnrolledNonExist -->
        <test-method status="PASS" signature="testModifyEnrollmentSuccess()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testModifyEnrollmentSuccess" duration-ms="1" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testModifyEnrollmentSuccess -->
        <test-method status="PASS" signature="testIsEnrolledNull()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testIsEnrolledNull" duration-ms="0" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testIsEnrolledNull -->
        <test-method status="PASS" signature="testModifyEnrollmentUnSuccess()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testModifyEnrollmentUnSuccess" duration-ms="1" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testModifyEnrollmentUnSuccess -->
        <test-method status="PASS" signature="testUpdateApplicationList()[pri:0, instance:org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests_$$_jvsta68_0@1c0cf193]" name="testUpdateApplicationList" duration-ms="2" started-at="2018-04-05T13:54:43Z" finished-at="2018-04-05T13:54:43Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testUpdateApplicationList -->
      </class> <!-- org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests -->
    </test> <!-- API Tests -->
  </suite> <!-- AndroidDeviceManagementAPIs -->
</testng-results>
